<?php
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Mai Kawasaki                                                |
// +----------------------------------------------------------------------+
//
// $Id: LoginView_error.class.php,v 1.1 2005/06/20 09:31:27 snapshot Exp $
//
// Description:
// 2005/05/19
//

/** 
*	LoginView_error.class.php
*	Mai Kawasaki
*	2005/05/19
*/

/** 
*	LoginView
*/
class LoginView extends View {

    function & execute (&$controller, &$request, &$user) {

        $renderer =& new Renderer($controller, $request, $user);
        
        $renderer->setAttribute('error', $request->getAttribute('error'));
        $renderer->setAttribute('uid', $request->getAttribute('uid'));
        $renderer->setAttribute('aid', $request->getAttribute('aid'));
        $renderer->setAttribute('pass', $request->getAttribute('pass'));
        $renderer->setAttribute('admin', $request->getAttribute('admin'));
        $renderer->setAttribute('type', $request->getAttribute('type'));

		if( $request->getAttribute('type') == 'mobile'){
	        $renderer->setTemplate('Login_input.php');	
		} else {
	        $renderer->setTemplate('Login_input_pc.php');			
		}

        return $renderer;

    }

}

?>